Debian Bug report logs - #583910
e2fsprogs: bogus dependency on libblkid1 due to shlibs.local

version graph

Package: e2fsprogs; Maintainer for e2fsprogs is Theodore Y. Ts'o <tytso@mit.edu>; Source for e2fsprogs is src:e2fsprogs.

Reported by: Dmitry Baryshev <ksquirrel.iv@gmail.com>

Date: Mon, 31 May 2010 15:45:01 UTC

Severity: grave

Merged with 583551, 583592, 584152, 584326, 584559, 586407

Found in version e2fsprogs/1.41.12-1

Fixed in version e2fsprogs/1.41.12-2

Done: tytso@mit.edu (Theodore Y. Ts'o)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#583910; Package e2fsprogs. (Mon, 31 May 2010 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Baryshev <ksquirrel.iv@gmail.com>:
New Bug report received and forwarded. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). (Mon, 31 May 2010 15:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Baryshev <ksquirrel.iv@gmail.com>
To: submit@bugs.debian.org
Subject: mkfs.ext3: /lib/libblkid.so.1: version `BLKID_2.17' not found (required by mkfs.ext3)
Date: Mon, 31 May 2010 18:43:55 +0300
[Message part 1 (text/plain, inline)]
Package: e2fsprogs
Version: 1.41.12-1
Severity: important

mkfs.ext3 fails to run with the error message:

"mkfs.ext3: /lib/libblkid.so.1: version `BLKID_2.17' not found (required by
mkfs.ext3)"

2.17 version of libblkid1 is not available in Squeeze. Must also change the
dependencies of e2fsprogs to depend on libblkid1 >= 2.17

-- 
Regards, Krasu
[Message part 2 (text/html, inline)]

Severity set to 'grave' from 'important' Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Tue, 01 Jun 2010 09:03:02 GMT) Full text and rfc822 format available.

Merged 583551 583592 583910. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Tue, 01 Jun 2010 09:03:04 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 09:42:07 GMT) Full text and rfc822 format available.

Forcibly Merged 583551 583592 583910 584152. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 09:48:04 GMT) Full text and rfc822 format available.

Forcibly Merged 583551 583592 583910 584152 584326. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 09:48:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'e2fsprogs: bogus dependency on libblkid1 due to shlibs.local' from 'mkfs.ext3: /lib/libblkid.so.1: version `BLKID_2.17' not found (required by mkfs.ext3)' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 09:48:12 GMT) Full text and rfc822 format available.

Added indication that 583910 affects debian-installer Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 09:48:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#583910; Package e2fsprogs. (Fri, 04 Jun 2010 01:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to beat.naef@stagecoach-wireless.com:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). (Fri, 04 Jun 2010 01:27:05 GMT) Full text and rfc822 format available.

Message #24 received at 583910@bugs.debian.org (full text, mbox):

From: beat.naef@stagecoach-wireless.com
To: 583910@bugs.debian.org
Subject: e2fsprogs: bogus dependency on libblkid1 due to shlibs.local
Date: Thu, 3 Jun 2010 17:53:09 -0700
there appears to be a package version mis-match.

squeeze/ testing: e2fs(libs, progs) are version 2.17.xx

and mount and util-linux are version 2.16.2-0.

If you grab the e2fs(libs, progs) packages version 2.16.2-0 from stable/
lenny then it may work.


With kind regards,

Beat Naef
Stagecoach Wireless, LLC
5321 Scotts Valley Dr, Ste 201
Scotts Valley, CA 95066
(831) 439-2037





Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#583910; Package e2fsprogs. (Fri, 04 Jun 2010 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theodore Tso <tytso@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). (Fri, 04 Jun 2010 10:36:04 GMT) Full text and rfc822 format available.

Message #29 received at 583910@bugs.debian.org (full text, mbox):

From: Theodore Tso <tytso@MIT.EDU>
To: beat.naef@stagecoach-wireless.com, 583910@bugs.debian.org
Subject: Re: Bug#583910: e2fsprogs: bogus dependency on libblkid1 due to shlibs.local
Date: Fri, 4 Jun 2010 06:32:41 -0400
On Jun 3, 2010, at 8:53 PM, beat.naef@stagecoach-wireless.com wrote:

> there appears to be a package version mis-match.
> 
> squeeze/ testing: e2fs(libs, progs) are version 2.17.xx
> 
> and mount and util-linux are version 2.16.2-0.
> 
> If you grab the e2fs(libs, progs) packages version 2.16.2-0 from stable/
> lenny then it may work.

Fix is already uploaded to unstable.... 

-- Ted






Forcibly Merged 583551 583592 583910 584152 584326 584559. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Fri, 04 Jun 2010 20:45:08 GMT) Full text and rfc822 format available.

Forcibly Merged 583551 583592 583910 584152 584326 584559 586407. Request was from Thomas Schwinge <thomas@schwinge.name> to control@bugs.debian.org. (Mon, 21 Jun 2010 07:39:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Jul 2010 07:31:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:24:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.